Gecode::TraceTraits< Int::BoolView > Class Reference

Trace traits for Boolean views. More...

`#include <traits.hpp>`

## Public Types

typedef Int::BoolTraceView | TraceView
typedef BoolTraceDelta | TraceDelta
typedef unsigned int | SlackValue

## Detailed Description

Trace traits for Boolean views.

Definition at line 47 of file traits.hpp.

## Member Typedef Documentation

## TraceView

typedef Int::BoolTraceView Gecode::TraceTraits< Int::BoolView >::TraceView

Definition at line 49 of file traits.hpp.

## TraceDelta

typedef BoolTraceDelta Gecode::TraceTraits< Int::BoolView >::TraceDelta

Definition at line 50 of file traits.hpp.

## SlackValue

typedef unsigned int Gecode::TraceTraits< Int::BoolView >::SlackValue

Definition at line 51 of file traits.hpp.

The documentation for this class was generated from the following file:

- gecode/int/trace/traits.hpp